Name:           grotesque
Version:        0.9.5.1
Release:        %mkrel 2
Summary:        Utility to manage your collection of interactive fictions
Group:          Games/Other
License:        GPLv3+
URL:            http://grotesque.invergo.net
Source0:        http://grotesque.invergo.net/download/%{name}-%{version}.tar.gz

BuildRequires:  python-setuptools
BuildArch:      noarch
Requires:       python-gi
Requires:       python-pyifbabel

%description
Grotesque is a utility that helps you manage your collection of
interactive fictions, or text adventures. It collects bibliographic
and other information from story files and presents a convenient
interface to build and organize a catalog of your games.

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

mv %{buildroot}%{_docdir}/%{name}-%{version} %{buildroot}%{_docdir}/%{name}

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Grotesque
GenericName=Interactive fiction library
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;
EOF

install -D -m644 src/%{name}/data/%{name}_icon.png \
        %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_docdir}/%{name}
%{_iconsdir}/hicolor/128x128/apps/%{name}.png
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}-%{version}-py%{pyver}.egg-info


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 0.9.5.1-2.mga6
+ Revision: 952184
- Mageia 6 Mass Rebuild

* Sun Jan 18 2015 akien <akien> 0.9.5.1-1.mga5
+ Revision: 811273
- Version 0.9.5.1 (upstreams our patch)

* Sun Jan 18 2015 akien <akien> 0.9.5-2.mga5
+ Revision: 811259
- Requires python-gi

* Sun Jan 18 2015 akien <akien> 0.9.5-1.mga5
+ Revision: 811254
- imported package grotesque

